fail to install esp-idf env

wsghr2021
Posts: 5
Joined: Wed Jun 02, 2021 9:03 am

fail to install esp-idf env

Postby wsghr2021 » Thu Jun 10, 2021 1:50 am

hi guys,

I installed esp-idf development env. But the esp32-elf can't be identified.
F:\03_code\esp-idf>install.bat
Installing ESP-IDF tools
Installing tools: xtensa-esp32-elf, xtensa-esp32s2-elf, esp32ulp-elf, esp32s2ulp-elf, cmake, openocd-esp32, ninja, idf-exe, ccache, dfu-util
Installing xtensa-esp32-elf@esp-2020r3-8.4.0
file xtensa-esp32-elf-gcc8_4_0-esp-2020r3-win64.zip is already downloaded
Extracting C:\Users\Run\.espressif\dist\xtensa-esp32-elf-gcc8_4_0-esp-2020r3-win64.zip to C:\Users\Run\.espressif\tools\xtensa-esp32-elf\esp-2020r3-8.4.0
Installing xtensa-esp32s2-elf@esp-2020r3-8.4.0
file xtensa-esp32s2-elf-gcc8_4_0-esp-2020r3-win64.zip is already downloaded
Extracting C:\Users\Run\.espressif\dist\xtensa-esp32s2-elf-gcc8_4_0-esp-2020r3-win64.zip to C:\Users\Run\.espressif\tools\xtensa-esp32s2-elf\esp-2020r3-8.4.0

...
...
...
Then export:
F:\03_code\esp-idf>export.bat
Setting IDF_PATH: F:\03_code\esp-idf

Adding ESP-IDF tools to PATH...
WARNING: tool xtensa-esp32-elf version esp-2020r3-8.4.0 is installed, but has reported version unknown
ERROR: tool xtensa-esp32-elf has no installed versions. Please run 'F:\03_code\esp-idf\install.bat' to install it.
WARNING: tool xtensa-esp32s2-elf version esp-2020r3-8.4.0 is installed, but has reported version unknown
ERROR: tool xtensa-esp32s2-elf has no installed versions. Please run 'F:\03_code\esp-idf\install.bat' to install it.
WARNING: tool ccache version 3.7 is installed, but has reported version unknown
ERROR: tool ccache has no installed versions. Please run 'F:\03_code\esp-idf\install.bat' to install it.

I have uninstalled and installed esp-idf env several times, but it still not working.
Any ideas?
thx a lot.

Who is online

Users browsing this forum: Majestic-12 [Bot] and 59 guests